<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
const props = defineProps<{
    backgroundColor: string,
    color: string, 
    shape: string,
    fontSize: string,
    likeIcon?: string
}>();

</script>
<template>
<div>
    <label>{{$t("adjustPanel.preview")}}</label>
    <div class="w-full rounded-md justify-center flex flex-row p-2" :style="{ background: backgroundColor }">
        <div class="flex flex-col p-1 border border-black shadow-md w-40 h-20 text-gray-500" :class="[color,shape,fontSize]" :style="{ background: color }">
            <span class="grow">Text</span>
            <span v-if="likeIcon"><i :class="`ri-${likeIcon}-line`"></i></span>
        </div>
    </div>
</div>
</template>